Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 982780 - [abrt] mysql-workbench-5.2.47-2.fc19: glibmm_unexpected_exception: Process /usr/libexec/mysql-workbench-bin was killed by signal 5 (SIGTRAP)
Summary: [abrt] mysql-workbench-5.2.47-2.fc19: glibmm_unexpected_exception: Process /u...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql-workbench
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c7ca7cbbccdd119c5769f053681...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-09 21:22 UTC by Alan Schmidt
Modified: 2015-02-17 16:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 16:01:50 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-09 21:22 UTC, Alan Schmidt
no flags Details
File: cgroup (deleted)
2013-07-09 21:22 UTC, Alan Schmidt
no flags Details
File: core_backtrace (deleted)
2013-07-09 21:23 UTC, Alan Schmidt
no flags Details
File: dso_list (deleted)
2013-07-09 21:23 UTC, Alan Schmidt
no flags Details
File: environ (deleted)
2013-07-09 21:23 UTC, Alan Schmidt
no flags Details
File: limits (deleted)
2013-07-09 21:23 UTC, Alan Schmidt
no flags Details
File: maps (deleted)
2013-07-09 21:23 UTC, Alan Schmidt
no flags Details
File: open_fds (deleted)
2013-07-09 21:23 UTC, Alan Schmidt
no flags Details
File: proc_pid_status (deleted)
2013-07-09 21:23 UTC, Alan Schmidt
no flags Details
File: var_log_messages (deleted)
2013-07-09 21:23 UTC, Alan Schmidt
no flags Details
File: xsession_errors (deleted)
2013-07-09 21:23 UTC, Alan Schmidt
no flags Details

Description Alan Schmidt 2013-07-09 21:22:46 UTC
Description of problem:
This is the typical thing where Workbench just ups and dies for no reason when typing a query.

My PERCEPTION is that this is more likely when Workbench has been idle for a long time and I return to it for a new query. HOWEVER, I wouldn't bet the farm on it.

Re-launching Workbench and re-performing the exact same query works, so it doesn't look like it's related to a particular database, query, or result set.

Version-Release number of selected component:
mysql-workbench-5.2.47-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/mysql-workbench-bin
crash_function: glibmm_unexpected_exception
executable:     /usr/libexec/mysql-workbench-bin
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #2 glibmm_unexpected_exception at exceptionhandler.cc:71
 #3 Glib::exception_handlers_invoke at exceptionhandler.cc:150
 #4 Glib::DispatchNotifier::pipe_io_handler at dispatcher.cc:464
 #5 operator() at /usr/include/sigc++-2.0/sigc++/functors/slot.h:515
 #6 Glib::IOSource::dispatch at main.cc:1162
 #7 Glib::Source::dispatch_vfunc at main.cc:956
 #12 gtk_main at gtkmain.c:1257

Potential duplicate: bug 706544

Comment 1 Alan Schmidt 2013-07-09 21:22:55 UTC
Created attachment 771258 [details]
File: backtrace

Comment 2 Alan Schmidt 2013-07-09 21:22:59 UTC
Created attachment 771259 [details]
File: cgroup

Comment 3 Alan Schmidt 2013-07-09 21:23:03 UTC
Created attachment 771260 [details]
File: core_backtrace

Comment 4 Alan Schmidt 2013-07-09 21:23:06 UTC
Created attachment 771261 [details]
File: dso_list

Comment 5 Alan Schmidt 2013-07-09 21:23:09 UTC
Created attachment 771262 [details]
File: environ

Comment 6 Alan Schmidt 2013-07-09 21:23:12 UTC
Created attachment 771263 [details]
File: limits

Comment 7 Alan Schmidt 2013-07-09 21:23:19 UTC
Created attachment 771264 [details]
File: maps

Comment 8 Alan Schmidt 2013-07-09 21:23:23 UTC
Created attachment 771265 [details]
File: open_fds

Comment 9 Alan Schmidt 2013-07-09 21:23:27 UTC
Created attachment 771266 [details]
File: proc_pid_status

Comment 10 Alan Schmidt 2013-07-09 21:23:30 UTC
Created attachment 771267 [details]
File: var_log_messages

Comment 11 Alan Schmidt 2013-07-09 21:23:33 UTC
Created attachment 771268 [details]
File: xsession_errors

Comment 12 Alan Schmidt 2013-07-09 21:37:20 UTC
This seems to be the same as Bug 922852, except in F19 instead of F18. Abrt didn't think they were similar enough, so I'll just offer a heads-up and leave someone with better eyes to determine whether this is the same error, or just the same component failing in a different way.

Comment 13 Alan Schmidt 2013-08-07 21:29:54 UTC
The same crash as described in bug 922852 and bug 982780.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/mysql-workbench-bin
crash_function: glibmm_unexpected_exception
executable:     /usr/libexec/mysql-workbench-bin
kernel:         3.10.4-300.fc19.x86_64
package:        mysql-workbench-5.2.47-2.fc19
reason:         Process /usr/libexec/mysql-workbench-bin was killed by signal 5 (SIGTRAP)
runlevel:       N 5
uid:            1000

Comment 14 Alan Schmidt 2013-08-21 18:09:05 UTC
I'm pretty sure this simply needs to be reported upstream.

The reason I think this is because Workbench crashes several times a day for no apparent reason on both my machine (Linux), and my associates' machines (Windows). In my mind, this tends to indicate the source itself is at fault.

Re-launching and repeating the query that caused the crash simply works, so there's no "recipe" for reproducing the problem. Hopefully the backtrace will provide some insight.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/mysql-workbench-bin
crash_function: glibmm_unexpected_exception
executable:     /usr/libexec/mysql-workbench-bin
kernel:         3.10.7-200.fc19.x86_64
package:        mysql-workbench-5.2.47-2.fc19
reason:         Process /usr/libexec/mysql-workbench-bin was killed by signal 5 (SIGTRAP)
runlevel:       N 5
uid:            1000

Comment 15 Alan Schmidt 2013-11-12 17:16:52 UTC
It does seem to be possible to reliably reproduce the error by switching the current database (by double-clicking in the left pane), and without expanding the database listing in the left pane, performing a new query.

Expanding the database entry in the left pane is not a reliable workaround to avoid the problem, however.

Comment 16 Fedora End Of Life 2015-01-09 18:48:44 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2015-02-17 16:01:50 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.